- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.commondialog.ColourDialog Class Reference

The smjg.libs.sdwf.commondialog.ColourDialog class wraps the Windows colour common dialog. More...

Inheritance diagram for smjg.libs.sdwf.commondialog.ColourDialog:

List of all members.

## Public Types
typedef colour | color
typedef customColours | customColors
## Public Member Functions
| this (WindowBase p, RGBColour initial=RGBColour.init, RGBColour[] custom=null)
| Constructs a new ColourDialog.
bool | show ()
| Displays the dialog box to select a colour.
## Public Attributes
RGBColour[16] | customColours
| The custom colours that are defined in this dialog.
uint | _structSize = CHOOSECOLOR.sizeof
HWND | _parentHandle = null
HWND | _instanceHandle = null
RGBColour | colour
| The colour currently selected in the dialog.
RGBColour * | _customColours = null
CC | flags = CC.RGBINIT
| A bitwise combination of flags to customise the colour dialog.
int | _customHookData = 0
LPCCHOOKPROC | _hookFunction = null
LPCTSTR | _templateName = null
CHOOSECOLOR | spec
| This dialog specification as a Windows CHOOSECOLOR structure.

## Detailed Description

The smjg.libs.sdwf.commondialog.ColourDialog class wraps the Windows colour common dialog.

## Member Typedef Documentation

typedef colour smjg.libs.sdwf.commondialog.ColourDialog.color

typedef customColours smjg.libs.sdwf.commondialog.ColourDialog.customColors

## Constructor & Destructor Documentation

smjg.libs.sdwf.commondialog.ColourDialog.this | ( | WindowBase | p,
|  | RGBColour | initial = `RGBColour.init`,
|  | RGBColour[] | custom = `null` |
| ) |  |  |

Constructs a new ColourDialog.

Parameters:

  | p | the parent window of the dialog.
  | initial | the initial colour to be selected.
  | custom | an array from which the custom colour palette will be initialised. It must have no more than 16 elements.

## Member Function Documentation

bool smjg.libs.sdwf.commondialog.ColourDialog.show | ( |  | ) |

Displays the dialog box to select a colour.

Return values:

  | true | if the operation succeeded.
  | false | if the operation was cancelled.

## Member Data Documentation

uint smjg.libs.sdwf.commondialog.ColourDialog._structSize = CHOOSECOLOR.sizeof

HWND smjg.libs.sdwf.commondialog.ColourDialog._parentHandle = null

HWND smjg.libs.sdwf.commondialog.ColourDialog._instanceHandle = null

RGBColour smjg.libs.sdwf.commondialog.ColourDialog.colour

The colour currently selected in the dialog.

RGBColour* smjg.libs.sdwf.commondialog.ColourDialog._customColours = null

CC smjg.libs.sdwf.commondialog.ColourDialog.flags = CC.RGBINIT

A bitwise combination of flags to customise the colour dialog.

int smjg.libs.sdwf.commondialog.ColourDialog._customHookData = 0

LPCCHOOKPROC smjg.libs.sdwf.commondialog.ColourDialog._hookFunction = null

LPCTSTR smjg.libs.sdwf.commondialog.ColourDialog._templateName = null

CHOOSECOLOR smjg.libs.sdwf.commondialog.ColourDialog.spec

This dialog specification as a Windows CHOOSECOLOR structure.

RGBColour [16] smjg.libs.sdwf.commondialog.ColourDialog.customColours

The custom colours that are defined in this dialog.

The documentation for this class was generated from the following file:

- commondialog.d